Upsert TikTok or Google Ads conversion sink
PUT
/v1/ctwa/ad-sinks/{sink}Authorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
sinkstringrequiredRequest body
requiredapplication/jsonaccess_tokenstringconfiganyrequiredenabledbooleanrequiredtest_mode_codestringResponses
200OK
configanyrequiredcreated_atstringenabledbooleanrequiredhas_credentialsbooleanrequiredsinkstringrequiredtest_mode_codestringupdated_atstring400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PUT "/v1/ctwa/ad-sinks/string" \
-H "Content-Type: application/json" \
-d '{
"access_token": "string",
"config": "string",
"enabled": true,
"test_mode_code": "string"
}'const response = await fetch("/v1/ctwa/ad-sinks/string", {
method: "PUT",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"access_token": "string",
"config": "string",
"enabled": true,
"test_mode_code": "string"
})
});import requests
response = requests.put(
"/v1/ctwa/ad-sinks/string",
headers={
"Content-Type": "application/json"
},
json={
"access_token": "string",
"config": "string",
"enabled": True,
"test_mode_code": "string"
},
)Response
{
"config": "string",
"created_at": "string",
"enabled": true,
"has_credentials": true,
"sink": "string",
"test_mode_code": "string",
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}